<?xml version="1.0" encoding="UTF-8"?>
<project name="session" basedir="." default="wsimport">
	<property environment="env" />

	<property name="java.home" value="C:\Program Files\Java\jdk1.6.0_11" />
	<property name="jaxws.lib.home" value="D:\Book\jaxws-ri\lib" />
	<property name="tomcat.home" value="D:\Book\apache-tomcat-7.0.26" />
	<property name="build.dir" value="build" />
	<property name="resources.home" value="${basedir}/resources" />

	<property name="client.classes.dir" value="${client.dir}/classes" />
	<property name="service.classes.dir" value="${service.dir}/classes" />
	<property name="wsdl.location1" value="http://localhost:8080/servicesLuxe/meteoLuxe?wsdl" />
	<property name="wsdl.location2" value="http://localhost:8080/servicesLuxe/meteo?wsdl" />

	<path id="class.path">
		<pathelement location="${java.home}/lib/tools.jar" />
	</path>

	<path id="jaxws.classpath">
		<pathelement location="${java.home}/lib/tools.jar" />
		<fileset dir="${jaxws.lib.home}">
			<include name="*.jar" />
			<exclude name="j2ee.jar" />
		</fileset>
		<pathelement location="${build.dir}/**/*.class" />
	</path>

	<target name="wsimport">
		<mkdir dir=".\build" />
		<mkdir dir=".\build\classes" />
		<taskdef name="wsimport" classname="com.sun.tools.ws.ant.WsImport" classpathref="jaxws.classpath" />
		<wsimport wsdl="${wsdl.location1}" destdir=".\build\classes" package="client.jaxws" verbose="true" keep="true" sourceDestDir="${basedir}/src" xendorsed="true"/>
		<wsimport wsdl="${wsdl.location2}" destdir=".\build\classes" package="client.jaxws" verbose="true" keep="true" sourceDestDir="${basedir}/src" xendorsed="true"/>
	</target>



</project>